import React from "react";
import { Grid, Paper, Typography, Button } from "@material-ui/core";
import { Link } from "react-router-dom";
import useStyles from "../styles";
import classnames from "classnames";
import ServerIsDown from "../../../../images/ServerIsDown.gif";

const ServerNotAvailable = () => {
  const classes = useStyles();

  return (
    <Grid container className={classes.container}>
      <Paper classes={{ root: classes.paperRoot }}>
        <div className={classes.imageFrame}>
          <img
            className={classes.image}
            src={ServerIsDown}
            alt="server is down"
          />
        </div>
        <Typography
          variant="h5"
          className={classnames(classes.textRow, classes.safetyText)}
        >
          {"Oops. Looks like the server is currently unavailable."}
        </Typography>
        <Typography
          variant="h6"
          color="text"
          colorBrightness="secondary"
          className={classnames(classes.textRow, classes.safetyText)}
        >
          {"Try again in a few seconds"}
        </Typography>
        <Button
          variant="contained"
          // color="primary"
          component={Link}
          to="/"
          size="large"
          className={classes.button}
        >
          Retry
        </Button>
      </Paper>
    </Grid>
  );
};

export default ServerNotAvailable;
